292 package updates, possibly after installing yum-utils. Normal? And safe to update?

3 posts / 0 new
Last post
#1 Mon, 12/12/2016 - 11:55
cognosco

292 package updates, possibly after installing yum-utils. Normal? And safe to update?

Hello,

Yesterday I installed yum-utils on my up to date Centos7 server. Today I had a notification about 292 package updates. Normally I always run updates due to security. Now it are alot, and it happened (or is coincedence) after installing yum-utils.

I am wondering: is it a good thing to update now? Can I break my server? And is this normal after installing yum-utils.

For example this is one of the 292 updates:

php Current state New version 5.4.16-42.el7 Installed version 5.4.16-36.3.el7_2 Available version 5.4.16-42.el7

They all went from el7_2 on the end to a newer version with el7 on the end. What is going on?

Thanks!

Mon, 12/12/2016 - 13:21
Joe
Joe's picture

That's the new CentOS release:

https://lists.centos.org/pipermail/centos-announce/2016-December/022172....

It won't happen often, so it's not really "normal", but it's also not alarming. It should be safe to update, but I'd probably do it at a time when you're fresh and have the energy to test to make sure it didn't break anything (and time to fix it, if it did). But, it isn't indicative of anything scary (like a hack).

--

Check out the forum guidelines!

Mon, 12/12/2016 - 13:35
cognosco

Thanks!

I will update it when I have some hours free time after the update in case I would break something. Anyway, I am using Virtualmin a long time and never had an update breaking the system.

Cheers, a happy Virtualmin user.